package cn.com.ty.lift.common.verify;

import java.util.regex.Pattern;

/**
 * @author bieao
 * @date 2020/5/11
 * @description 验证类
 */
public class VerifyUtils {

    /**
     * @param coordinate 经纬度
     * @return 是否为经纬度
     * @description 验证经纬度
     * @date 2020/5/11 10:19 上午
     */
    public static boolean preJudgment(String coordinate) {
        String[] split = coordinate.split(",");
        if (split.length < 2) return false;
        String longitude = split[0];
        String latitude = split[1];
        //经度： -180.0～+180.0（整数部分为0～180，必须输入1到20位小数）
        String longitudePattern = "^[\\-\\+]?(0?\\d{1,2}\\.\\d{1,8}|1[0-7]?\\d{1}\\.\\d{1,20}|180\\.0{1,20})$";
        //纬度： -90.0～+90.0（整数部分为0～90，必须输入1到20位小数）
        String latitudePattern = "^[\\-\\+]?([0-8]?\\d{1}\\.\\d{1,20}|90\\.0{1,20})$";
        boolean longitudeMatch = Pattern.matches(longitudePattern, longitude);
        boolean latitudeMatch = Pattern.matches(latitudePattern, latitude);
        return longitudeMatch && latitudeMatch;
    }
}
